Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDataTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.ajax4jsf.component.SequenceDataAdaptor
                          org.richfaces.component.UIDataTable

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.Filterable, org.richfaces.component.Sortable2

Direct Known Subclasses:
  HtmlDataTable, UISubTable

    public abstract class UIDataTable

extends org.ajax4jsf.component.SequenceDataAdaptor
implements org.richfaces.component.Sortable2, org.richfaces.component.Filterable, org.ajax4jsf.component.AjaxChildrenEncoder

JSF component class

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIDataTable()`

Method Summary
`java.util.Iterator<javax.faces.component.UIComponent>` | `columns()`
`protected org.ajax4jsf.model.ExtendedDataModel` | `createDataModel()`
`java.util.Iterator<javax.faces.component.UIComponent>` | `dataChildren()`
`void` | `encodeAjaxChild(javax.faces.context.FacesContext context, java.lang.String path, java.util.Set<java.lang.String> ids, java.util.Set<java.lang.String> renderedAreas)`
`java.util.Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`
`abstract java.lang.String` | `getSortMode()`
`java.util.Collection<java.lang.Object>` | `getSortPriority()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`abstract void` | `setSortMode(java.lang.String sortMode)`
`void` | `setSortPriority(java.util.Collection<java.lang.Object> sortPriority)`

Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor
`createComponentState, getDataModel, setDataModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, beforeRenderResponse, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeBegin, extractKeySegment, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invocableChildren, invokeOnComponent, isRowAvailable, iterate, processDecodes, processDecodes, processUpdates, processUpdates, processValidators, processValidators, queueEvent, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

Methods inherited from class javax.faces.component.UIData
`getFamily, getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.Sortable2
`getSortFields, setSortFields`

Methods inherited from interface org.richfaces.component.Filterable
`getFilterFields, setFilterFields`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIDataTable

    public UIDataTable()

Method Detail

### dataChildren

    public java.util.Iterator<javax.faces.component.UIComponent> dataChildren()

  Specified by:
    `dataChildren` in class `org.ajax4jsf.component.UIDataAdaptor`

### fixedChildren

    public java.util.Iterator<javax.faces.component.UIComponent> fixedChildren()

  Specified by:
    `fixedChildren` in class `org.ajax4jsf.component.UIDataAdaptor`

### columns

    public java.util.Iterator<javax.faces.component.UIComponent> columns()

### createDataModel

    protected org.ajax4jsf.model.ExtendedDataModel createDataModel()

  Overrides:
    `createDataModel` in class `org.ajax4jsf.component.SequenceDataAdaptor`

### getSortPriority

    public java.util.Collection<java.lang.Object> getSortPriority()

### setSortPriority

    public void setSortPriority(java.util.Collection<java.lang.Object> sortPriority)

### getSortMode

    public abstract java.lang.String getSortMode()

### setSortMode

    public abstract void setSortMode(java.lang.String sortMode)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `org.ajax4jsf.component.UIDataAdaptor`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `org.ajax4jsf.component.UIDataAdaptor`

### encodeAjaxChild

    public void encodeAjaxChild(javax.faces.context.FacesContext context,
                                java.lang.String path,
                                java.util.Set<java.lang.String> ids,
                                java.util.Set<java.lang.String> renderedAreas)
                         throws java.io.IOException

  Specified by:
    `encodeAjaxChild` in interface `org.ajax4jsf.component.AjaxChildrenEncoder`
  Overrides:
    `encodeAjaxChild` in class `org.ajax4jsf.component.UIDataAdaptor`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.